=== src/bc/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR})
add_library(lbc STATIC
            number.c lbc.c)
