=== debian/changelog ===
ulatencyd (0.5.0-9) unstable; urgency=medium

  * QA upload
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Orphan the package
  * Fix vcs-field-not-canonical

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 07 Mar 2014 16:08:22 +0100

ulatencyd (0.5.0-8) unstable; urgency=low

  * Add 06_fix-proc-linux-version-check.patch (Closes: #680123)
  * Fix and update descriptions
    Thanks to Justin B Rye (Closes: #680628)
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Add Recommends for consolekit (Closes: #706500)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 02 May 2013 21:26:50 +0200

ulatencyd (0.5.0-7) unstable; urgency=low

  * Add 05_fix-lua-posix-access-calls.patch (Closes: #679564)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 30 Jun 2012 15:15:03 +0200

ulatencyd (0.5.0-6) unstable; urgency=low

  * Add 04_fix-minimum-blkio-weight.patch (Closes: #677150)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 14 Jun 2012 22:58:12 +0200

ulatencyd (0.5.0-5) unstable; urgency=low

  * Add Pre-Depends: ${misc:Pre-Depends} for dpkg-maintscript-helper
    (Closes: 659795)
  * One Depends per line
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Email change: Alessandro Ghedini -> ghedo@debian.org
  * Bump debhelper compat level to 9
    - Add 0003-fix-pretty_print_signals-insecure-printf.patch to fix FTBFS
      with hardening flags
  * ulatencyd Depends on lua-posix instead of liblua5.1-posix1 
    (which is now a transitional package)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 07 Apr 2012 18:27:58 +0200

ulatencyd (0.5.0-4) unstable; urgency=low

  * Sleep between stop and start during restart (Closes: #643582).
  * Rename DAEMON_OPTS -> DAEMON_ARGS in default config (Closes: #644467).
  * Disable memory+swap parameters (Closes: #644598).
  * Thanks to Ritesh Raj Sarraf (rrs) for all the bug reports.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 01 Nov 2011 16:47:41 +0100

ulatencyd (0.5.0-3) unstable; urgency=low

  * Make the memory resource controller optional (Closes: #632845).
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Wed, 06 Jul 2011 16:26:04 +0200

ulatencyd (0.5.0-2) unstable; urgency=low

  * Use dh_installdeb to move conffile.
  * Bump debhelper version in Build-Depends.
  * Depends on dbus (Closes: #623317).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 19 Apr 2011 22:03:56 +0200

ulatencyd (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Remove manpages (merged upstream).
  * Move conffile rules/scheduler_desktop.lua to scheduler/desktop.lua.
  * Update debian/copyright with lua2dox copyright.
  * Remove unused variable ${shlibs:Depends} for ulatency package.
  * Build-Depends on libpolkit-gobject-1-dev (needed by new release).
  * Build with libluajit-5.1-dev instead of liblua5.1-0-dev if installed.
  * Fix documentation installation.
  * Fix typo in logrotate config.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 05 Apr 2011 22:18:10 +0200

ulatencyd (0.4.10-1) unstable; urgency=low

  * Initial release (Closes: #610495).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 13 Mar 2011 19:03:03 +0100
