=== debian/control ===
Source: ulatencyd
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), cmake,
 libdbus-1-dev,
 liblua5.1-0-dev | libluajit-5.1-dev,
 libdbus-glib-1-dev,
 libpolkit-gobject-1-dev,
 libxcb1-dev,
 libxau-dev
Standards-Version: 3.9.5
Homepage: https://github.com/poelzi/ulatencyd
Vcs-Git: git://anonscm.debian.org/collab-maint/ulatencyd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ulatencyd.git

Package: ulatencyd
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus, lua5.1 | lua, lua-posix
Recommends: consolekit
Description: scriptable latency regulator using cgroups (server)
 The userspace latency daemon controls how the Linux kernel spends its
 resources on the running processes. It uses dynamic cgroups to give the
 kernel hints on how to optimize process scheduling.
 .
 It is fully scriptable in Lua, to support writing custom rules and
 scheduler code.
 .
 The Linux scheduler does a pretty good job of sharing available resources
 out to all processes, but this may not be the best user experience on the
 desktop. ulatencyd monitors the system and categorizes the running processes
 into cgroups. Processes that run wild and slow down the system will be
 isolated.

Package: ulatency
Architecture: linux-any
Depends: ${misc:Depends}, ulatencyd (= ${binary:Version}), python, python-dbus
Suggests: python-qt4
Description: scriptable latency regulator using cgroups (client)
 The userspace latency daemon controls how the Linux kernel spends its
 resources on the running processes. It uses dynamic cgroups to give the
 kernel hints on how to optimize process scheduling.
 .
 This package provides a command-line/Qt4 client which can be used to tune
 and monitor ulatencyd.
