=== debian/watch ===
version=3

http://githubredir.debian.net/github/poelzi/ulatencyd .*/([0-9\-\.]*).tar.gz
